Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.reasoner.rulesys
Class BasicFBReifier

    java.lang.Object
      com.hp.hpl.jena.reasoner.rulesys.BasicFBReifier

All Implemented Interfaces:
  GetTriple, Reifier

    public class BasicFBReifier

extends java.lang.Object
implements Reifier

Nested Class Summary

Nested classes/interfaces inherited from interface com.hp.hpl.jena.graph.Reifier
`Reifier.Util`

Constructor Summary
`BasicFBReifier(BasicForwardRuleInfGraph parent, Reifier base, com.hp.hpl.jena.reasoner.rulesys.BasicFBReifier.GetReifier deductions, ReificationStyle style)`

Method Summary
`ExtendedIterator` | `allNodes()` return an iterator over all the nodes that are reifiying something in this reifier.
`ExtendedIterator` | `allNodes(Triple t)` return an iterator over all the nodes that are reifiying t in this reifier.
`void` | `close()` The reifier will no longer be used.
`ExtendedIterator` | `find(TripleMatch m)` Answer an iterator over all the reification triples in this Reifier that match `m`.
`ExtendedIterator` | `findEither(TripleMatch m, boolean showHidden)` Answer an iterator over the reification triples of this Reifier, or an empty iterator - if showHidden is false, only the exposed triples, otherwise only the concealed ones.
`ExtendedIterator` | `findExposed(TripleMatch m)` Answer an iterator over all the reification triples that this Reifier exposes (ie all if Standard, none otherwise) that match m.
`Graph` | `getParentGraph()` get the Graph which uses this reifier.
`ReificationStyle` | `getStyle()` Answer this reifier's style.
`Triple` | `getTriple(Node n)` Answer the triple associated with the node `n`.
`boolean` | `handledAdd(Triple t)` true iff the Reifier has handled an add of the triple _t_.
`boolean` | `handledRemove(Triple t)` true iff the Reifier has handled a remove of the triple _t_.
`boolean` | `hasTriple(Node n)` true iff _n_ is associated with some triple.
`boolean` | `hasTriple(Triple t)`
`Node` | `reifyAs(Node n, Triple t)` note the triple _t_ as reified using _n_ as its representing node.
`void` | `remove(Node n, Triple t)` remove any existing binding for _n_; hasNode(n) will return false and getTriple(n) will return null.
`void` | `remove(Triple t)` remove all bindings which map to this triple.
`int` | `size()` Answer the number of exposed reification quadlets held in this reifier.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicFBReifier

    public BasicFBReifier(BasicForwardRuleInfGraph parent,
                          Reifier base,
                          com.hp.hpl.jena.reasoner.rulesys.BasicFBReifier.GetReifier deductions,
                          ReificationStyle style)

Method Detail

### allNodes

    public ExtendedIterator allNodes()

  Description copied from interface: `Reifier`
  return an iterator over all the nodes that are reifiying something in this reifier.

  Specified by:
    `allNodes` in interface `Reifier`

### allNodes

    public ExtendedIterator allNodes(Triple t)

  Description copied from interface: `Reifier`
  return an iterator over all the nodes that are reifiying t in this reifier.

  Specified by:
    `allNodes` in interface `Reifier`

### close

    public void close()

  Description copied from interface: `Reifier`
  The reifier will no longer be used. Further operations on it are not defined by this interface.

  Specified by:
    `close` in interface `Reifier`

### find

    public ExtendedIterator find(TripleMatch m)

  Description copied from interface: `Reifier`
  Answer an iterator over all the reification triples in this Reifier that match `m`.

  Specified by:
    `find` in interface `Reifier`

### findEither

    public ExtendedIterator findEither(TripleMatch m,
                                       boolean showHidden)

  Description copied from interface: `Reifier`
  Answer an iterator over the reification triples of this Reifier, or an empty iterator - if showHidden is false, only the exposed triples, otherwise only the concealed ones.

  Specified by:
    `findEither` in interface `Reifier`

### findExposed

    public ExtendedIterator findExposed(TripleMatch m)

  Description copied from interface: `Reifier`
  Answer an iterator over all the reification triples that this Reifier exposes (ie all if Standard, none otherwise) that match m.

  Specified by:
    `findExposed` in interface `Reifier`

### getParentGraph

    public Graph getParentGraph()

  Description copied from interface: `Reifier`
  get the Graph which uses this reifier.

  Specified by:
    `getParentGraph` in interface `Reifier`

### getStyle

    public ReificationStyle getStyle()

  Description copied from interface: `Reifier`
  Answer this reifier's style.

  Specified by:
    `getStyle` in interface `Reifier`

### handledAdd

    public boolean handledAdd(Triple t)

  Description copied from interface: `Reifier`
  true iff the Reifier has handled an add of the triple _t_.

  Specified by:
    `handledAdd` in interface `Reifier`

### handledRemove

    public boolean handledRemove(Triple t)

  Description copied from interface: `Reifier`
  true iff the Reifier has handled a remove of the triple _t_.

  Specified by:
    `handledRemove` in interface `Reifier`

### hasTriple

    public boolean hasTriple(Node n)

  Description copied from interface: `Reifier`
  true iff _n_ is associated with some triple.

  Specified by:
    `hasTriple` in interface `Reifier`

### hasTriple

    public boolean hasTriple(Triple t)

  Specified by:
    `hasTriple` in interface `Reifier`
  Returns:
    true iff there's > 0 mappings to this triple

### reifyAs

    public Node reifyAs(Node n,
                        Triple t)

  Description copied from interface: `Reifier`
  note the triple _t_ as reified using _n_ as its representing node. If _n_ is already reifying something, a AlreadyReifiedException is thrown.

  Specified by:
    `reifyAs` in interface `Reifier`

### remove

    public void remove(Node n,
                       Triple t)

  Description copied from interface: `Reifier`
  remove any existing binding for _n_; hasNode(n) will return false and getTriple(n) will return null. This only removes *unique, single* bindings.

  Specified by:
    `remove` in interface `Reifier`

### remove

    public void remove(Triple t)

  Description copied from interface: `Reifier`
  remove all bindings which map to this triple.

  Specified by:
    `remove` in interface `Reifier`

### size

    public int size()

  Description copied from interface: `Reifier`
  Answer the number of exposed reification quadlets held in this reifier.

  Specified by:
    `size` in interface `Reifier`

### getTriple

    public Triple getTriple(Node n)

  Description copied from interface: `GetTriple`
  Answer the triple associated with the node `n`.

  Specified by:
    `getTriple` in interface `GetTriple`
  Parameters:
    `n` - the node to use as the key
  Returns:
    the associated triple, or `null` if none

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP